#include "Mix/Private/IO/Controller.h"

namespace Mix{ namespace IO{

Controller::Controller( const wchar_t* filePath ) :
m_FilePath( filePath ),
m_Pos( 0 ),
m_Size( 0 )
{
}

Controller::~Controller( void )
{
}

UInt64 Controller::GetPos( void ) const
{
	return m_Pos;
}

UInt64 Controller::GetSize( void ) const
{
	return m_Size;
}

const wchar_t* Controller::GetFilePath( void ) const
{
	return m_FilePath.GetConstPtr();
}

}}
